﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Windows.Reporting;
namespace landscape
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>
    public partial class Window1 : Window
    {
        List<string> filters = new List<string>();
        DateTime startDate = new DateTime(2003, 1, 1);
        DateTime endDate = new DateTime(2008, 1, 1);
        public Window1()
        {
            InitializeComponent();
            filters.Add("filter1");
            filters.Add("filter2");
            filters.Add("filter3");
        }


        private void printMe_Click(object sender, RoutedEventArgs e)
        {

            Report reportObj = new Report();
            reportObj.ReportSettings.PageOrientation = PageOrientation.Landscape;

            reportObj.PageHeaderTemplate = this.Resources["PagePresenterHeaderTemplate"] as DataTemplate;
            DateTime now = DateTime.Now;
            string filterString = "";
            if (filters.Count() > 0)
                filterString = "Filtered by ";
            foreach (var f in filters)
                filterString += string.Format("-{0}\n", f);


            reportObj.PageHeader = string.Format("Sales Report From {0:MM/dd/yyyy} To {1:MM/dd/yyyy} \nDate Run {2:MM/dd/yyyy} \n {3}",
                startDate, endDate, now, filterString);

            EmbeddedVisualReportSection section;
                section = new EmbeddedVisualReportSection(xamChart1);
            // 3. Add created section to report's section collection
            reportObj.ReportSettings.HorizontalPaginationMode = HorizontalPaginationMode.Scale;
            reportObj.Sections.Add(section);

            reportObj.ReportSettings.PageOrientation = PageOrientation.Landscape;

            section.ToolTip = "Hit ESC to close";
            xamReportPreview1.GeneratePreview(reportObj, false, true);
            xamReportPreview1.Visibility = Visibility.Visible;

            }
    }
}
